package ink.wgink.service.role.pojo.pos;

import java.io.Serializable;

/**
 * @ClassName: RoleDTO
 * @Description: 角色
 * @Author: wenc
 * @Date: 2019/1/6 3:50 PM
 * @Version: 1.0
 **/
public class RolePO implements Serializable {

    private static final long serialVersionUID = 5002416086605618923L;
    private String roleId;
    private String roleParentId;
    private Boolean isParent;
    private String roleName;
    private String roleSummary;
    private String roleDataAuthority;
    private String roleCode;
    private String roleInsert;
    private String roleDelete;
    private String roleUpdate;
    private String roleQuery;

    public String getRoleId() {
        return roleId == null ? "" : roleId.trim();
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getRoleParentId() {
        return roleParentId == null ? "" : roleParentId.trim();
    }

    public void setRoleParentId(String roleParentId) {
        this.roleParentId = roleParentId;
    }

    public Boolean getParent() {
        return isParent;
    }

    public void setParent(Boolean parent) {
        isParent = parent;
    }

    public String getRoleName() {
        return roleName == null ? "" : roleName.trim();
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getRoleSummary() {
        return roleSummary == null ? "" : roleSummary.trim();
    }

    public void setRoleSummary(String roleSummary) {
        this.roleSummary = roleSummary;
    }

    public String getRoleDataAuthority() {
        return roleDataAuthority == null ? "" : roleDataAuthority.trim();
    }

    public void setRoleDataAuthority(String roleDataAuthority) {
        this.roleDataAuthority = roleDataAuthority;
    }

    public String getRoleCode() {
        return roleCode == null ? "" : roleCode.trim();
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }

    public String getRoleInsert() {
        return roleInsert == null ? "" : roleInsert.trim();
    }

    public void setRoleInsert(String roleInsert) {
        this.roleInsert = roleInsert;
    }

    public String getRoleDelete() {
        return roleDelete == null ? "" : roleDelete.trim();
    }

    public void setRoleDelete(String roleDelete) {
        this.roleDelete = roleDelete;
    }

    public String getRoleUpdate() {
        return roleUpdate == null ? "" : roleUpdate.trim();
    }

    public void setRoleUpdate(String roleUpdate) {
        this.roleUpdate = roleUpdate;
    }

    public String getRoleQuery() {
        return roleQuery == null ? "" : roleQuery.trim();
    }

    public void setRoleQuery(String roleQuery) {
        this.roleQuery = roleQuery;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"roleId\":")
                .append("\"").append(roleId).append("\"");
        sb.append(",\"roleParentId\":")
                .append("\"").append(roleParentId).append("\"");
        sb.append(",\"isParent\":")
                .append(isParent);
        sb.append(",\"roleName\":")
                .append("\"").append(roleName).append("\"");
        sb.append(",\"roleSummary\":")
                .append("\"").append(roleSummary).append("\"");
        sb.append(",\"roleDataAuthority\":")
                .append("\"").append(roleDataAuthority).append("\"");
        sb.append(",\"roleCode\":")
                .append("\"").append(roleCode).append("\"");
        sb.append(",\"roleInsert\":")
                .append("\"").append(roleInsert).append("\"");
        sb.append(",\"roleDelete\":")
                .append("\"").append(roleDelete).append("\"");
        sb.append(",\"roleUpdate\":")
                .append("\"").append(roleUpdate).append("\"");
        sb.append(",\"roleQuery\":")
                .append("\"").append(roleQuery).append("\"");
        sb.append('}');
        return sb.toString();
    }
}